Subject: Re: bug#47875: Elisp reader doesn't handle keywords

From: Ivan Sokolov <[email-masked]>
Date: Fri, 04 Jun 2021 15:13:29 +0300

Leo Prikler <[email-masked]> writes:

> Using Guile 3.0.5, the elisp reader does not seem to support keywords
> written in Elisp's preferred prefix-style notation (:keyword).
>
> Meanwhile in Emacs M-: :keyword yields :keyword.  Using Scheme-style
> keywords also does not work:
>
> I think Guile should produce keyword objects for the former, so that we
> don't need to talk about the latter.

In Scheme keywords and symbols are separate entities, but in Elisp
keywords are just self-quoted symbols. I think your solution will cause
problems with Elisp algorithms that expect keywords to be symbolp.